Package org.spongepowered.asm.mixin.injection

## Enum At.Shift

- java.lang.Object
- - java.lang.Enum<At.Shift>
  - - org.spongepowered.asm.mixin.injection.At.Shift

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<At.Shift>`

Enclosing class:
  At

    public static enum At.Shift
    extends java.lang.Enum<At.Shift>

Shift is used to shift resulting opcodes

### Enum Constant Summary

Enum Constants
`AFTER` Shift the returned opcodes forward one instruction
`BEFORE` Shift the returned opcodes back one instruction
`BY` Shift the returned opcodes by the amount specified in `At.by()`
`NONE` Do not shift the returned opcodes

### Method Summary

All Methods Static Methods Concrete Methods
`static At.Shift` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static At.Shift[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final At.Shift NONE

Do not shift the returned opcodes

#### BEFORE

    public static final At.Shift BEFORE

Shift the returned opcodes back one instruction

#### AFTER

    public static final At.Shift AFTER

Shift the returned opcodes forward one instruction

#### BY

    public static final At.Shift BY

Shift the returned opcodes by the amount specified in `At.by()`

### Method Detail

#### values

    public static At.Shift[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (At.Shift c : At.Shift.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static At.Shift valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null